org.apache.maven.lifecycle.mapping

## Class DefaultLifecycleMapping

- java.lang.Object
- - org.apache.maven.lifecycle.mapping.DefaultLifecycleMapping

All Implemented Interfaces:
  LifecycleMapping

    public class DefaultLifecycleMapping
    extends java.lang.Object
    implements LifecycleMapping

Lifecycle mapping for a POM.

Version:
  $Id: DefaultLifecycleMapping.java 640549 2008-03-24 20:05:11Z bentmann $
Author:
  Brett Porter

### Field Summary

### Fields inherited from interface org.apache.maven.lifecycle.mapping.LifecycleMapping

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultLifecycleMapping()`

### Method Summary

Methods
`java.util.List` `getOptionalMojos(java.lang.String lifecycle)`
`java.util.Map` `getPhases(java.lang.String lifecycle)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultLifecycleMapping

    public DefaultLifecycleMapping()

### Method Detail

#### getOptionalMojos

    public java.util.List getOptionalMojos(java.lang.String lifecycle)

Specified by:
  `getOptionalMojos` in interface `LifecycleMapping`

#### getPhases

    public java.util.Map getPhases(java.lang.String lifecycle)

Specified by:
  `getPhases` in interface `LifecycleMapping`